> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pawa-ai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Transcription

> This endpoint is used to remove a specific transcription from a workspace.



## OpenAPI

````yaml DELETE /transcribe/workspace/{id}/transcriptions/{transcriptionId}
openapi: 3.1.0
info:
  title: Pawa AI APIs
  description: >-
    API endpoints in Pawa Platform to perform CRUD operations on different
    features using Pawa AI, a digital assistant built for Africa for various
    tasks.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.pawa-ai.com/v1
    description: Production Server
security:
  - bearerAuth: []
paths:
  /transcribe/workspace/{id}/transcriptions/{transcriptionId}:
    delete:
      tags:
        - Transcribe
      summary: Delete a transcription from a workspace
      description: >-
        This endpoint is used to remove a specific transcription from a
        workspace.
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: number
        - name: transcriptionId
          required: true
          in: path
          schema:
            type: number
      responses:
        '200':
          description: Transcription deleted successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspaceTranscriptionDeleteResponseDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                badRequest:
                  value:
                    success: false
                    message: Invalid input provided
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                unauthorized:
                  value:
                    success: false
                    message: Unauthorized access
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                forbidden:
                  value:
                    success: false
                    message: You do not have permission to access this resource
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                notFound:
                  value:
                    success: false
                    message: Resource does not exist
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                tooManyRequests:
                  value:
                    success: false
                    message: Rate limit exceeded. Please try again later.
        '500':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                serverError:
                  value:
                    success: false
                    message: Internal server error
components:
  schemas:
    WorkspaceTranscriptionDeleteResponseDto:
      type: object
      properties:
        success:
          type: boolean
          example: true
        message:
          type: string
          example: Transcription deleted successfully
        data:
          $ref: '#/components/schemas/WorkspaceTranscriptionDto'
      required:
        - success
        - message
        - data
    ErrorResponse:
      required:
        - success
        - message
      type: object
      properties:
        success:
          type: boolean
          example: false
        message:
          type: string
          example: An error occurred
    WorkspaceTranscriptionDto:
      type: object
      properties:
        id:
          type: number
          example: 1
        fileName:
          type: string
          example: meeting_recording.mp3
        fileUrl:
          type: string
          example: https://storage.domain.com/files/meeting_recording.mp3
        fileType:
          type: string
          example: audio/mpeg
        duration:
          type: number
          example: 320
          description: Duration of the file in seconds
        transcript:
          type: object
          example:
            filename: testing audio.mp3
            transcript: '[Environmental Sounds]'
          nullable: true
        status:
          type: string
          example: COMPLETED
          enum:
            - ACTIVE
            - INACTIVE
            - DELETED
            - ARCHIVED
          description: Processing status of the file
        createdAt:
          type: string
          example: '2026-02-23T08:00:00.000Z'
        updatedAt:
          type: string
          example: '2026-02-23T08:10:00.000Z'
      required:
        - id
        - fileName
        - fileUrl
        - fileType
        - duration
        - transcript
        - status
        - createdAt
        - updatedAt
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````